%define name nicotine
%define version 1.2.5.1
%define release %mkrel 1
%define distsuffix plf
%define fname %{name}+-%{version}

Summary: SoulSeek file sharing client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/nicotine-plus/%{fname}.tar.bz2
Source4:   nicotine-1.2.2-debianmanpages.tar.bz2
URL: http://thegraveyard.org/daelstorm/nicotine-plus.php
License: GPL
Group: Networking/File transfer
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel
BuildRequires: pygtk2.0-devel
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
Requires: pygtk2.0 >= 1.99.16
Requires: pyvorbis
Requires: python-geoip
%ifarch %ix86
Requires: python-psyco
%endif

%description
Nicotine+ is a client for the SoulSeek filesharing network. It was "forked"
(and thus reuses a lot of code) from the PySoulSeek project by Alexander
Kanavin, and features (among other things) a completely new graphical user
interface. The homepage of PySoulSeek is http://sensi.org/~ak/pyslsk/

This package is in PLF because of Mandriva Linux policy forbidding P2P
software.

%prep
%setup -q -a 4 -n %fname
# use the right path in the debian man pages 
perl -pi -e "s!/usr/share/doc/nicotine/!%_docdir/%name-%version/!" *.1

%build
python setup.py build
cd trayicon
python autogen.py
%make

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT
cd trayicon
%makeinstall_std
cd ..
%if %_lib != lib
mv %buildroot%_prefix/lib/ %buildroot%_libdir
%endif
mv %buildroot%_datadir/locale/dk %buildroot%_datadir/locale/da

#menu
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%{_menudir}/%name
?package(%name):command="%_bindir/%name" icon="nicotine_clear.png" \
                needs="X11" section="Internet/File Transfer" \
 title="Nicotine+" longtitle="SoulSeek file sharing client" xdg="true"
EOF

install -D -m 644 files/%name.desktop  $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="FileTransfer" \
  --add-category="P2P" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
install -D -m 644 files/nicotine_clear.png %buildroot%_datadir/pixmaps/nicotine_clear.png
mkdir -p %buildroot{%_liconsdir,%_miconsdir}
convert -scale 48 files/nicotine_clear.png %buildroot%_liconsdir/nicotine_clear.png
convert -scale 32 files/nicotine_clear.png %buildroot%_iconsdir/nicotine_clear.png
convert -scale 16 files/nicotine_clear.png %buildroot%_miconsdir/nicotine_clear.png

# man pages
install -d -m 755 %buildroot%_mandir/man1
install -m 644 *.1 %buildroot%_mandir/man1

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%{_bindir}/nicotine
%{_bindir}/nicotine-import-winconfig
%{py_platsitedir}/pynicotine/
%{_mandir}/man1/nicotine.1*
%{_mandir}/man1/nicotine-import-winconfig.1*
%_datadir/applications/*
%_datadir/pixmaps/*.png
%dir %_datadir/%name
#gw this must be here as it is accessed from the program
%doc %_datadir/%name/documentation/
%_datadir/%name/sounds/
%_menudir/%name
%_liconsdir/nicotine_clear.png
%_iconsdir/nicotine_clear.png
%_miconsdir/nicotine_clear.png

%changelog
* Sat Sep 23 2006 Gtz Waschk <goetz@zarb.org> 1.2.5.1-1plf2007.0
- update file list
- New version 1.2.5.1

* Tue Aug 22 2006 Gtz Waschk <goetz@zarb.org> 1.2.4.1-1plf2007.0
- new version

* Mon Jul 10 2006 Gtz Waschk <goetz@zarb.org> 1.2.3-1plf2007.0
- update icon, menus and man pages
- switch to the nicotine+ fork

* Sat Jun 17 2006 Gtz Waschk <goetz@zarb.org> 1.0.8-3plf2007.0
- update to xdg menu

* Mon Apr 24 2006 Götz Waschk <goetz@zarb.org> 1.0.8-2plf
- Rebuild

* Wed Jan 26 2005 Gtz Waschk <goetz@zarb.org> 1.0.8-1plf
- new version

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.0.8-0.rc1.2plf
- fix description

* Tue May  4 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.8-0.rc1.1plf
- new version

* Tue Feb  3 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.7-1plf
- new version

* Thu Jan  8 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.7-0.rc2.1plf
- new version

* Wed Jan  7 2004 Gtz Waschk <goetz@plf.zarb.org> 1.0.7-0.rc1.1plf
- new version

* Fri Dec  5 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.6-1plf
- new version

* Thu Nov 20 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.6-0.rc1.1plf
- drop patch (psyco is enabled by default) 
- new version

* Wed Nov 12 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.5-2plf
- fix menu title

* Fri Nov  7 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.5-1plf
- new version

* Sat Sep 27 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.4.1-1plf
- new  version

* Wed Sep 17 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.4-1plf
- add language filese
- new version

* Thu Sep  4 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.3-1plf
- new version

* Mon Sep  1 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.2-2plf
- depend on psyco if built on x86
- steak psyco patch from debian 
- steal man pages from debian

* Sun Aug 24 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.2-1plf
- new version

* Wed Aug 20 2003 Gtz Waschk <goetz@plf.zarb.org> 1.0.1-1plf
- initial package

